package com.ho.flow.mapper;

import com.ho.flow.vo.DeviceColDefine;
import com.ho.flow.vo.req.AlarmConfig.DeviceColDefineReqVo;
import com.ho.flow.vo.req.devicecoldefine.DeviceColDefineDeleteVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author gyan
 * @desc:
 * @DateTime: 2023/2/1 16:48
 */
@Mapper
public interface DeviceColDefineMapper {

    List<DeviceColDefine> selectPage(DeviceColDefineReqVo definePageReq);

    DeviceColDefine selectById(@Param("id") Integer id);

    List<DeviceColDefine> selectByIdList(@Param("ids") List<Integer> ids, @Param("deviceType") String deviceType);

    DeviceColDefine selectByIdAndDeviceTypeId(@Param("id")Integer id, @Param("deviceTypeId")Integer deviceTypeId);

    int insertList(@Param("list") List<DeviceColDefine> list);

    int updateList(@Param("list") List<DeviceColDefine> list);

    int insertDeviceColDefine(DeviceColDefine vo);

    int updateDeviceColDefine(DeviceColDefine vo);

    int deleteDeviceColDefine(List<Integer> ids);

    DeviceColDefine selectByColAndDeviceType(String col, String deviceType);

    List<DeviceColDefine> selectByDeviceType(String str);

}
